local SonInteractsEnabled = function(tags)
  if game.Interact.GetAllDisabled and game.Interact.GetAllDisabled() then
    return false
  end
  if game.Interact.CheckFeature_IsTagSetFiltered_v2 then
    local sonTag = "son"
    local tagSetFiltered
    if tags then
      tagSetFiltered = game.Interact.IsTagSetFiltered(sonTag, unpack(tags))
    else
      tagSetFiltered = game.Interact.IsTagSetFiltered(sonTag)
    end
    if tagSetFiltered then
      return false
    end
  end
  return true
end
return {SonInteractsEnabled = SonInteractsEnabled}
